Package org.springframework.security.web

# Interface AuthenticationEntryPoint

All Known Implementing Classes:
  `BasicAuthenticationEntryPoint`, `DelegatingAuthenticationEntryPoint`, `DigestAuthenticationEntryPoint`, `Http403ForbiddenEntryPoint`, `HttpStatusEntryPoint`, `LoginUrlAuthenticationEntryPoint`, `NoOpAuthenticationEntryPoint`

public interface AuthenticationEntryPoint
Used by `ExceptionTranslationFilter` to commence an authentication scheme.

## Method Summary

Modifier and Type
Method
Description
`void`
`commence(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.core.AuthenticationException authException)`
Commences an authentication scheme.

## Method Details

### commence

void commence(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.core.AuthenticationException authException) throws IOException, jakarta.servlet.ServletException
Commences an authentication scheme.

`ExceptionTranslationFilter` will populate the `HttpSession` attribute named `AbstractAuthenticationProcessingFilter.SPRING_SECURITY_SAVED_REQUEST_KEY` with the requested target URL before calling this method.

Implementations should modify the headers on the `ServletResponse` as necessary to commence the authentication process.

Parameters:
  `request` - that resulted in an `AuthenticationException`
  `response` - so that the user agent can begin authentication
  `authException` - that caused the invocation
Throws:
  `IOException`
  `jakarta.servlet.ServletException`